Skip to main content
POST
/
policies
/
{policyId}
/
update-policy-quote
Update policy quote components
curl --request POST \
  --url https://api.example.com/policies/{policyId}/update-policy-quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "components": [
    {
      "id": "<string>",
      "premium": {
        "amountPreFeesAndTaxes": 123,
        "totalFees": 123,
        "totalTaxes": 123
      },
      "calculatePremiumBrokerFees": true
    }
  ],
  "percentages": [
    {
      "id": "<string>",
      "componentIds": [
        "<string>"
      ],
      "amountPropertiesFrom": [],
      "percentage": 50
    }
  ]
}
'
import requests

url = "https://api.example.com/policies/{policyId}/update-policy-quote"

payload = {
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"totalFees": 123,
"totalTaxes": 123
},
"calculatePremiumBrokerFees": True
}
],
"percentages": [
{
"id": "<string>",
"componentIds": ["<string>"],
"amountPropertiesFrom": [],
"percentage": 50
}
]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
components: [
{
id: '<string>',
premium: {amountPreFeesAndTaxes: 123, totalFees: 123, totalTaxes: 123},
calculatePremiumBrokerFees: true
}
],
percentages: [
{
id: '<string>',
componentIds: ['<string>'],
amountPropertiesFrom: [],
percentage: 50
}
]
})
};

fetch('https://api.example.com/policies/{policyId}/update-policy-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Path Parameters

policyId
string
required

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string
required

the branchId

Body

application/json
components
object[]
required
percentages
object[]
required

Response

The response is of type object.